LinuxQuestions.org
Latest LQ Deal: Linux Power User Bundle
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices


Reply
  Search this Thread
Old 07-11-2012, 04:19 PM   #1
bushtor
LQ Newbie
 
Registered: Jul 2012
Posts: 3

Rep: Reputation: Disabled
Packages missing for php5-gd in debian


Hi,
I needed to install the php5-gd extensions in my debian box. However I got lots of error and warning messages (se at the end of this message), and when I do php -v I get:

PHP Warning: PHP Startup: Unable to load dynamic library '/usr/lib/php5/20060613/gd.so' - /usr/lib/php5/20060613/gd.so: cannot open shared object file: No such file or directory in Unknown on line 0
PHP 5.2.6-1+lenny13 with Suhosin-Patch 0.9.6.2 (cli) (built: Jul 1 2011 16:01:01)
Copyright (c) 1997-2008 The PHP Group
Zend Engine v2.2.0, Copyright (c) 1998-2008 Zend Technologies
with Suhosin v0.9.27, Copyright (c) 2007, by SektionEins GmbH

How can I correct the packages not found errors and force an update for everything? Thanks a lot for help on how to succeed installing the php gd extensions and hopefully clean up a lot in my package library too...

best regards

Tor

Echo after trying to install the php5-gd library:

patrick1:~# apt-get update && apt-get install php5-gd
Ign http://security.debian.org lenny/updates Release.gpg
Ign http://security.debian.org lenny/updates/main Translation-en_GB
Ign http://security.debian.org lenny/updates Release
Ign http://volatile.debian.org lenny/volatile Release.gpg
Ign http://volatile.debian.org lenny/volatile/main Translation-en_GB
Ign http://security.debian.org lenny/updates/main Packages/DiffIndex
Ign http://www.backports.org lenny-backports Release.gpg
Ign http://www.backports.org lenny-backports/main Translation-en_GB
Ign http://www.backports.org lenny-backports/contrib Translation-en_GB
Ign http://volatile.debian.org lenny/volatile Release
Ign http://volatile.debian.org lenny/volatile/main Packages/DiffIndex
Ign http://ftp.no.debian.org lenny Release.gpg
Ign http://security.debian.org lenny/updates/main Sources/DiffIndex
Ign http://www.backports.org lenny-backports/non-free Translation-en_GB
Ign http://www.backports.org lenny-backports Release
Ign http://volatile.debian.org lenny/volatile/main Sources/DiffIndex
Ign http://ftp.no.debian.org lenny/main Translation-en_GB
Ign http://security.debian.org lenny/updates/main Packages
Ign http://ftp.no.debian.org lenny/non-free Translation-en_GB
Ign http://www.backports.org lenny-backports/main Packages
Ign http://volatile.debian.org lenny/volatile/main Packages
Ign http://ftp.no.debian.org lenny Release
Ign http://volatile.debian.org lenny/volatile/main Sources
Ign http://security.debian.org lenny/updates/main Sources
Ign http://www.wviewweather.com lenny Release.gpg
Ign http://www.backports.org lenny-backports/contrib Packages
Ign http://www.backports.org lenny-backports/non-free Packages
Ign http://www.wviewweather.com lenny/main Translation-en_GB
Ign http://ftp.no.debian.org lenny/main Packages/DiffIndex
Ign http://volatile.debian.org lenny/volatile/main Packages
Ign http://ftp.no.debian.org lenny/non-free Packages/DiffIndex
Ign http://security.debian.org lenny/updates/main Packages
Ign http://www.backports.org lenny-backports/main Packages
Ign http://www.backports.org lenny-backports/contrib Packages
Ign http://volatile.debian.org lenny/volatile/main Sources
Ign http://ftp.no.debian.org lenny/main Packages
Ign http://ftp.no.debian.org lenny/non-free Packages
Err http://volatile.debian.org lenny/volatile/main Packages
301 Moved Permanently [IP: 82.195.75.97 80]
Ign http://security.debian.org lenny/updates/main Sources
Ign http://www.backports.org lenny-backports/non-free Packages
Err http://www.backports.org lenny-backports/main Packages
301 Moved Permanently [IP: 86.59.118.148 80]
Ign http://ftp.no.debian.org lenny/main Packages
Err http://volatile.debian.org lenny/volatile/main Sources
301 Moved Permanently [IP: 82.195.75.97 80]
Ign http://ftp.no.debian.org lenny/non-free Packages
Err http://security.debian.org lenny/updates/main Packages
404 Not Found [IP: 195.20.242.89 80]
Err http://www.backports.org lenny-backports/contrib Packages
301 Moved Permanently [IP: 86.59.118.148 80]
Err http://ftp.no.debian.org lenny/main Packages
404 Not Found [IP: 128.39.3.170 80]
Err http://ftp.no.debian.org lenny/non-free Packages
404 Not Found [IP: 128.39.3.170 80]
Err http://security.debian.org lenny/updates/main Sources
404 Not Found [IP: 195.20.242.89 80]
Err http://www.backports.org lenny-backports/non-free Packages
301 Moved Permanently [IP: 86.59.118.148 80]
Hit http://www.wviewweather.com lenny Release
Hit http://download.virtualbox.org lenny Release.gpg
Ign http://www.wviewweather.com lenny/main Packages/DiffIndex
Ign http://download.virtualbox.org lenny/contrib Translation-en_GB
Ign http://download.virtualbox.org lenny/non-free Translation-en_GB
Ign http://www.wviewweather.com lenny/main Packages
Hit http://www.wviewweather.com lenny/main Packages
Hit http://download.virtualbox.org lenny Release
Ign http://download.virtualbox.org lenny/contrib Packages/DiffIndex
Ign http://download.virtualbox.org lenny/non-free Packages/DiffIndex
Hit http://download.virtualbox.org lenny/contrib Packages
Hit http://download.virtualbox.org lenny/non-free Packages
W: Failed to fetch http://volatile.debian.org/debian-vo...s/lenny/volati le/main/binary-amd64/Packages 301 Moved Permanently [IP: 82.195.75.97 80]

W: Failed to fetch http://security.debian.org/dists/len...amd64/Packages 404 Not Found [IP: 195.20.242.89 80]

W: Failed to fetch http://www.backports.org/debian/dist...amd64/Packages 301 Moved Permanently [IP: 86.59.118.148 80]

W: Failed to fetch http://www.backports.org/debian/dist...amd64/Packages 301 Moved Permanently [IP: 86.59.118.148 80]

W: Failed to fetch http://volatile.debian.org/debian-vo...source/Sources 301 Moved Permanently [IP: 82.195.75.97 80]

W: Failed to fetch http://security.debian.org/dists/len...source/Sources 404 Not Found [IP: 195.20.242.89 80]

W: Failed to fetch http://www.backports.org/debian/dist...amd64/Packages 301 Moved Permanently [IP: 86.59.118.148 80]

W: Failed to fetch http://ftp.no.debian.org/debian/dist...amd64/Packages 404 Not Found [IP: 128.39.3.170 80]

W: Failed to fetch http://ftp.no.debian.org/debian/dist...amd64/Packages 404 Not Found [IP: 128.39.3.170 80]

E: Some index files failed to download, they have been ignored, or old ones used instead.
 
Old 07-11-2012, 07:32 PM   #2
Tinkster
Moderator
 
Registered: Apr 2002
Location: in a fallen world
Distribution: slackware by choice, others too :} ... android.
Posts: 23,066
Blog Entries: 11

Rep: Reputation: 910Reputation: 910Reputation: 910Reputation: 910Reputation: 910Reputation: 910Reputation: 910Reputation: 910
Hi, welcome to LQ!

Does the file exist?
ls -l /usr/lib/php5/20060613/gd.so

If it does: what is it?
ldd /usr/lib/php5/20060613/gd.so


Also note that in apt-get update && apt-get install php5-gd the
install wasn't even attempted as the update errored out. The one
downside of using && to string commands together, rather
than using ; ....

Cheers,
Tink
 
Old 07-11-2012, 07:34 PM   #3
craigevil
Senior Member
 
Registered: Apr 2005
Location: OZ
Distribution: Debian Sid
Posts: 4,734
Blog Entries: 12

Rep: Reputation: 461Reputation: 461Reputation: 461Reputation: 461Reputation: 461
Lenny was EOL in Feb and was moved from the Debian mirrors.

You have a choice of either using archive.debian.org and having no security support or upgrading to the current Stable/Squeeze.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
What are the lost packages / apps in Debian repositories, that you are missing ? frenchn00b Debian 17 06-13-2010 11:21 AM
LXer: How To Search For Missing Packages With apt-file On Debian and Ubuntu LXer Syndicated Linux News 0 02-21-2007 08:01 PM
Installed Debian AMD64 Etch and missing packages occurs shrabok Debian 1 09-05-2006 01:19 AM
Missing session support in php5 mawkish Linux - Server 1 08-26-2006 08:57 PM


All times are GMT -5. The time now is 04:47 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration